Linki
GET https://bio.influstar.pl/api/links/
curl --request GET \
--url 'https://bio.influstar.pl/api/links/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://bio.influstar.pl/api/links/' \
--header 'Authorization: Bearer {api_key}' \
| Parametry | Szczegóły | Opis |
|---|---|---|
| page | Opcjonalne Integer | Numer strony, z której chcesz uzyskać wyniki. Domyślnie to 1. |
| results_per_page | Opcjonalne Integer | Ile wyników chcesz na stronie. Dozwolone wartości to: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Domyślnie to 25. |
{
"data": [
{
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"clicks": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-08-12 17:48:59",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://bio.influstar.pl/api/links?page=1",
"last": "https://bio.influstar.pl/api/links?page=1",
"next": null,
"prev": null,
"self": "https://bio.influstar.pl/api/links?page=1"
}
}
GET https://bio.influstar.pl/api/links/{link_id}
curl --request GET \
--url 'https://bio.influstar.pl/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://bio.influstar.pl/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"clicks": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-08-12 17:48:59",
}
}
POST https://bio.influstar.pl/api/links
| Parametry | Szczegóły | Opis |
|---|---|---|
| type | Opcjonalne String | link |
| location_url | Wymagane String | URL docelowy.Dostępne, gdy: is_bulk = 0 |
| location_urls | Wymagane String | URL docelowy.Dostępne, gdy: is_bulk = 1 |
| url | Opcjonalne String | Alias URL wygenerowanego linku. Pozostaw puste, aby wygenerować losowy.Dostępne, gdy: is_bulk = 0 |
| is_bulk | Opcjonalne Boolean | |
| domain_id | Opcjonalne Integer | - |
| project_id | Opcjonalne Integer | - |
| pixels_ids | Opcjonalne Tablica Integer | - |
| email_reports | Opcjonalne Tablica | Notification handler ids |
| schedule | Opcjonalne Boolean | - |
| start_date | Opcjonalne String | Dostępne, gdy: schedule = true |
| end_date | Opcjonalne String | Dostępne, gdy: schedule = true |
| clicks_limit | Opcjonalne Integer | - |
| expiration_url | Opcjonalne String | - |
| sensitive_content | Opcjonalne Boolean | - |
| http_status_code | Opcjonalne Integer | Dozwolone wartości: 301, 302, 307, 308 |
| app_linking_is_enabled | Opcjonalne Boolean | - |
| cloaking_is_enabled | Opcjonalne Boolean | - |
| cloaking_title | Opcjonalne String | - |
| cloaking_meta_description | Opcjonalne String | - |
| cloaking_custom_js | Opcjonalne String | - |
| cloaking_favicon | Opcjonalne Plik | - |
| cloaking_opengraph | Opcjonalne Plik | - |
| password | Opcjonalne String | - |
| forward_query_parameters_is_enabled | Opcjonalne Boolean | - |
| utm_source | Opcjonalne String | - |
| utm_medium | Opcjonalne String | - |
| utm_campaign | Opcjonalne String | - |
| targeting_type | Opcjonalne String | continent_code , country_code , device_type , browser_language , rotation , os_name , browser_name |
| targeting_continent_code_key[index] | Opcjonalne String | Dostępne, gdy: targeting_type = continent_code |
| targeting_continent_code_value[index] | Opcjonalne String | Dostępne, gdy: targeting_type = continent_code |
| targeting_country_code_key[index] | Opcjonalne String | Dostępne, gdy: targeting_type = country_code |
| targeting_country_code_value[index] | Opcjonalne String | Dostępne, gdy: targeting_type = country_code |
| targeting_city_name_key[index] | Opcjonalne String | Dostępne, gdy: targeting_type = city_name |
| targeting_city_name_value[index] | Opcjonalne String | Dostępne, gdy: targeting_type = city_name |
| targeting_device_type_key[index] | Opcjonalne String | Dostępne, gdy: targeting_type = device_type |
| targeting_device_type_value[index] | Opcjonalne String | Dostępne, gdy: targeting_type = device_type |
| targeting_browser_language_key[index] | Opcjonalne String | Dostępne, gdy: targeting_type = browser_language |
| targeting_browser_language_value[index] | Opcjonalne String | Dostępne, gdy: targeting_type = browser_language |
| targeting_rotation_key[index] | Opcjonalne String | Dostępne, gdy: targeting_type = rotation |
| targeting_rotation_value[index] | Opcjonalne String | Dostępne, gdy: targeting_type = rotation |
| targeting_os_name_key[index] | Opcjonalne String | Dostępne, gdy: targeting_type = os_name |
| targeting_os_name_value[index] | Opcjonalne String | Dostępne, gdy: targeting_type = os_name |
| targeting_browser_name_key[index] | Opcjonalne String | Dostępne, gdy: targeting_type = browser_name |
| targeting_browser_name_value[index] | Opcjonalne String | Dostępne, gdy: targeting_type = browser_name |
curl --request POST \
--url 'https://bio.influstar.pl/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://bio.influstar.pl/' \
--url 'https://bio.influstar.pl/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://bio.influstar.pl/' \
{
"data": {
"id": 1
}
}
POST https://bio.influstar.pl/api/links/{link_id}
| Parametry | Szczegóły | Opis |
|---|---|---|
| location_url | Opcjonalne String | URL docelowy. |
| url | Opcjonalne String | Alias URL wygenerowanego linku. Pozostaw puste, aby wygenerować losowy. |
| domain_id | Opcjonalne Integer | - |
| project_id | Opcjonalne Integer | - |
| pixels_ids | Opcjonalne Tablica Integer | - |
| email_reports | Opcjonalne Tablica | Notification handler ids |
| schedule | Opcjonalne Boolean | - |
| start_date | Opcjonalne String | Dostępne, gdy: schedule = true |
| end_date | Opcjonalne String | Dostępne, gdy: schedule = true |
| clicks_limit | Opcjonalne Integer | - |
| expiration_url | Opcjonalne String | - |
| sensitive_content | Opcjonalne Boolean | - |
| http_status_code | Opcjonalne Integer | Dozwolone wartości: 301, 302, 307, 308 |
| app_linking_is_enabled | Opcjonalne Boolean | - |
| cloaking_is_enabled | Opcjonalne Boolean | - |
| cloaking_title | Opcjonalne String | - |
| cloaking_meta_description | Opcjonalne String | - |
| cloaking_custom_js | Opcjonalne String | - |
| cloaking_favicon | Opcjonalne Plik | - |
| cloaking_opengraph | Opcjonalne Plik | - |
| password | Opcjonalne String | - |
| forward_query_parameters_is_enabled | Opcjonalne Boolean | - |
| utm_source | Opcjonalne String | - |
| utm_medium | Opcjonalne String | - |
| utm_campaign | Opcjonalne String | - |
| targeting_type | Opcjonalne String | continent_code , country_code , device_type , browser_language , rotation , os_name , browser_name |
| targeting_continent_code_key[index] | Opcjonalne String | Dostępne, gdy: targeting_type = continent_code |
| targeting_continent_code_value[index] | Opcjonalne String | Dostępne, gdy: targeting_type = continent_code |
| targeting_country_code_key[index] | Opcjonalne String | Dostępne, gdy: targeting_type = country_code |
| targeting_country_code_value[index] | Opcjonalne String | Dostępne, gdy: targeting_type = country_code |
| targeting_city_name_key[index] | Opcjonalne String | Dostępne, gdy: targeting_type = city_name |
| targeting_city_name_value[index] | Opcjonalne String | Dostępne, gdy: targeting_type = city_name |
| targeting_device_type_key[index] | Opcjonalne String | Dostępne, gdy: targeting_type = device_type |
| targeting_device_type_value[index] | Opcjonalne String | Dostępne, gdy: targeting_type = device_type |
| targeting_browser_language_key[index] | Opcjonalne String | Dostępne, gdy: targeting_type = browser_language |
| targeting_browser_language_value[index] | Opcjonalne String | Dostępne, gdy: targeting_type = browser_language |
| targeting_rotation_key[index] | Opcjonalne String | Dostępne, gdy: targeting_type = rotation |
| targeting_rotation_value[index] | Opcjonalne String | Dostępne, gdy: targeting_type = rotation |
| targeting_os_name_key[index] | Opcjonalne String | Dostępne, gdy: targeting_type = os_name |
| targeting_os_name_value[index] | Opcjonalne String | Dostępne, gdy: targeting_type = os_name |
| targeting_browser_name_key[index] | Opcjonalne String | Dostępne, gdy: targeting_type = browser_name |
| targeting_browser_name_value[index] | Opcjonalne String | Dostępne, gdy: targeting_type = browser_name |
curl --request POST \
--url 'https://bio.influstar.pl/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
--url 'https://bio.influstar.pl/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
DELETE https://bio.influstar.pl/api/links/{link_id}
curl --request DELETE \
--url 'https://bio.influstar.pl/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://bio.influstar.pl/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \